### Constructor

# ICalGLib Duration new_from_seconds

since: 4.0

#### Declaration [src]

    ICalDuration*
    i_cal_duration_new_from_seconds (
      gint t
    )

#### Description [src]

Creates a `ICalDuration` from the duration in second.

Available since: 4.0

#### Parameters

`t`

  Type: `gint`

  The duration in second.

#### Return value

Type: `ICalDuration`

The newly created `ICalDuration`.

The caller of the function takes ownership of the data, and is responsible for freeing it.